require "google_drive"

@session = GoogleDrive::Session.from_config("config.json")
key = "1o0kc9WqK32KqWWCEmwBLHDsdBXO_lmM3EDUtqZmyeEM"

w = @session.spreadsheet_by_key(key).worksheet_by_title("Schulformen")
File.open("views/schulform.slim", 'w') do |f|
    f.puts <<-HEREDOC
.form-group.form-group-lg class=("has-error" if keys.include?("SchuelerBasisdaten.dat[LS Schulform]"))
  label.control-label for='SchuelerBasisdaten.dat[LS Schulform]'
    |Derzeitige Schule bzw. letzte Schulform
  select.select.form-control id='SchuelerBasisdaten.dat[LS Schulform]' name='SchuelerBasisdaten.dat[LS Schulform]'
    option value="" bitte auswählen
    HEREDOC
  w.rows.each do |r|
    next if r[1] == "SF"
    next if r[1] == "G"
    f.puts "    option value='#{r[1]}' #{r[2]}"
  end
end

w = @session.spreadsheet_by_key(key).worksheet_by_title("Religionen")
File.open("views/konfession.slim", 'w') do |f|
    f.puts <<-HEREDOC
.form-group.form-group-lg class=("has-error" if keys.include?("SchuelerBasisdaten.dat[StatistikKrz Konfession]"))
  label.control-label for='SchuelerBasisdaten.dat[StatistikKrz Konfession]'
    |Religionszugehörigkeit
  select.select.form-control id='SchuelerBasisdaten.dat[StatistikKrz Konfession]' name='SchuelerBasisdaten.dat[StatistikKrz Konfession]'
    option value="" bitte auswählen
    HEREDOC
  w.rows.each do |r|
    next if r[1] == "Schlüssel"
    f.puts "    option value='#{r[1]}' #{r[0]}"
  end
end

w = @session.spreadsheet_by_key(key).worksheet_by_title("Nationalitäten")
File.open("views/nationalitaet.slim", 'w') do |f|
    f.puts <<-HEREDOC
.form-group.form-group-lg class=("has-error" if keys.include?("SchuelerBasisdaten.dat[1. Staatsang.]"))
  label.control-label for='SchuelerBasisdaten.dat[1. Staatsang.]'
    |1. Staatsangehörigkeit/Land
  select.select.form-control id='SchuelerBasisdaten.dat[1. Staatsang.]' name='SchuelerBasisdaten.dat[1. Staatsang.]'
    option value="" bitte auswählen
    HEREDOC
  w.rows.each do |r|
    next if r[0] == "Schlüssel"
    f.puts "    option value='#{r[0]}' #{r[1]}"
  end
end
